/*
 * HiPWiNS - High Performance Wireless Network Simulator
 * File: distribution/StatsPacket.java
 * 
 * Copyright 2010 Institute of Computer Science 4, University of Bonn, Germany
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package core.distribution;

import java.io.Serializable;

/**
 * Bundles statistics to be sent at the end of the simulation.
 * 
 * @author Patrick Peschlow
 * @author Daniel Heupel
 * 
 * @version 1.0
 */
public class StatsPacket implements Serializable {
	/**
	 * Default ID.
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Counter for a statistics variable.
	 */
	public long tcpRecv = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public long udpRecv = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int throughNet = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int radioInc = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int radioDrop = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int captSignals = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public long tcpSend = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public long udpSend = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public long macBytesSend = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int macQueueOffered = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int macQueueDropped = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int directOffered = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int transmissions = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int broadcasts = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int unicasts = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int routingFwBroadcasts = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int routingRcvBroadcasts = 0;

	/**
	 * Counter for a statistics variable.
	 */
	public int transmissions802_11;

	/**
	 * Counter for a statistics variable.
	 */
	public int transmissions802_11s;

	/**
	 * Counter for a statistics variable.
	 */
	public int dummyTransmissions;

	/**
	 * Counter for a statistics variable.
	 */
	public int hwmpDrops;

	/**
	 * Counter for a statistics variable.
	 */
	public int numBeacons;
}
