/*
 * HiPWiNS - High Performance Wireless Network Simulator
 * File: util/Utils.java
 * 
 * Copyright 2010 Institute of Computer Science 4, University of Bonn, Germany
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package core.util;

/**
 * Place for utility methods.
 * 
 * @author Patrick Peschlow
 * 
 * @version 1.0
 */
public class Utils {
	/**
	 * Estimates (and prints) memory used by objects on the heap.
	 */
	public static void printUsedMemory() {
		final long totalMemory = Runtime.getRuntime().totalMemory();
		final long freeMemory = Runtime.getRuntime().freeMemory();
		final long usedMemory = totalMemory - freeMemory;
		CustomLogger.info("usedMemory  = " + usedMemory);
	}
}
