package modules.wireless.scenario;

import core.Config;
import jist.swans.Constants;
import modules.wireless.scenario.NodeConfig;

// Trace file:
//Config.setTracefile("out.tr");

// Random seed:
Config.setRandomSeed(4711);
Config.setRandom(Config.Random.RNGSTREAM);

// Node configuration:
NodeConfig.setScenarioType(NodeConfig.ScenarioType.MANET);
NodeConfig.setRoutingProtocol(NodeConfig.RoutingProtocol.AODV);
NodeConfig.setTransmitPower_dBm(-0.94792);

// Traffic flows:
int numFlows = 20;
long maxStartTime = 1 * jist.swans.Constants.SECOND;
int packetSize = 1024;
long sendInterval = 1000 * jist.swans.Constants.MILLI_SECOND;
NodeConfig.addTrafficUDP(
	new NodeConfig.RandomTrafficInfoUDP(
		numFlows,
		maxStartTime,
		sendInterval,
		packetSize
	)
);

// General simulation configuration:
Config.setSimType(Config.SimType.SEQUENTIAL, 1, 4);
Config.setEndTime(30 * jist.swans.Constants.SECOND);
Config.setScheduler(Config.Scheduler.SHIFTEDHEAP);

// Propagation model configuration.
Config.setPropagation(Config.Propagation.INDIVIDUAL);
Config.setPathlossModel(Config.PathlossModel.TWORAY);
Config.setFadingModel(Config.FadingModel.RAYLEIGH);

// Parallel simulation configuration:
Config.setBarrier(Config.BarrierType.TOURNAMENT);
Config.setLookahead(Config.Lookahead.EVENT);
//Config.setLookahead(Config.Lookahead.PROTOCOL);

// Mobility:
Config.setMovementFile("modules/wireless/scenario/bonnmotion/static100.movements");
Config.setMovement(Config.Movement.CONTINUOUS);