/*
 * HiPWiNS - High Performance Wireless Network Simulator
 * File: rng/RandomStream.java
 * 
 * Copyright 2010 Institute of Computer Science 4, University of Bonn, Germany
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package rng;

/**
 * Interface for random number streams to be used by the simulation model.
 * 
 * @author Patrick Peschlow
 * 
 * @version 1.0
 */
public interface RandomStream {

	/**
	 * Provides the next random number of this stream.
	 * 
	 * @return the next random number of this stream.
	 */
	public double nextDouble();
}
